/*
   This file is part of the MoCA video library.
   Name: ContourParametrizationTest.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#include <iostream>
#include <vector>
using namespace std;

#include <Image.h>
#include <ImagePosition.h>
#include <ImageEdgePosition.h>
#include <ContourParametrization.h>

int main(int argc, char* argv[])
{
    //  if (argc != 4) {
    //cerr << "Usage: Gauss src(pnm) dest(pnm) masksize" << endl;
    //return 1;
    //} // if

    Image<uint8> img;
    vector<ImageEdgePosition> src;
    vector<ImagePosition> dest;
    uint16 numberOfPixel = 8;

	ImageEdgePosition e1 (1,1,NORTH);
	ImageEdgePosition e2 (2,1,NORTH);
	ImageEdgePosition e3 (3,1,NORTH);
	ImageEdgePosition e4 (4,1,NORTH);
	ImageEdgePosition e5 (5,1,NORTH);
	ImageEdgePosition e6 (6,1,NORTH);
	ImageEdgePosition e7 (6,1,NORTH);
	ImageEdgePosition e8 (6,1,NORTH);
	ImageEdgePosition e9 (6,2,NORTH);
	ImageEdgePosition e10(6,3,NORTH);
	ImageEdgePosition e11(6,4,NORTH);
	ImageEdgePosition e12(5,4,NORTH);
	ImageEdgePosition e13(5,4,NORTH);
	ImageEdgePosition e14(5,4,NORTH);
	ImageEdgePosition e15(4,4,NORTH);
	ImageEdgePosition e16(3,4,NORTH);
	ImageEdgePosition e17(2,4,NORTH);
	ImageEdgePosition e18(1,4,NORTH);
	ImageEdgePosition e19(1,3,NORTH);
	ImageEdgePosition e20(1,2,NORTH);
	ImageEdgePosition e21(1,2,NORTH);

	src.push_back(e1);
	src.push_back(e2);
	src.push_back(e3);
	src.push_back(e4);
	src.push_back(e5);
	src.push_back(e6);
	src.push_back(e7);
	src.push_back(e8);
	src.push_back(e9);
	src.push_back(e10);
	src.push_back(e11);
	src.push_back(e12);
	src.push_back(e13);
	src.push_back(e14);
	src.push_back(e15);
	src.push_back(e16);
	src.push_back(e17);
	src.push_back(e18);
	src.push_back(e19);
	src.push_back(e20);
	src.push_back(e21);

    ContourParametrization param (numberOfPixel); 
    param.process(src, dest);
	
	// Ausgabe
	cout << "Number of pixel: " << numberOfPixel << endl << endl;
	vector<ImagePosition>::iterator it;
	for (it = dest.begin(); it != dest.end(); it++) {
		cout << "contour pixel: (" << (*it)[DIM_X] << ","<< (*it)[DIM_Y] << ")" << endl;
	} // for        

    return 0;
} // main

