/*
   This file is part of the MoCA video library.
   Name: EdgeDetectionFilterTest.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

// C++ includes
#include <iostream>
using namespace std;

//Moca includes
#include <IImageStream.h>
#include <OImageStream.h>
#include <EdgeDetectionFilter.h>


int main (int argc, char* argv[])
{
    if (argc != 2) {
        cerr << "Usage: " << argv[0] << " src(pgm)" << endl;
	return -1;
    } // if

    Image<uint8> img;
    IImageStream<uint8> iis(argv[1]);
    iis.read(img);

    EdgeDetectionFilter<uint8> edf;

    Image<uint8> dest;
    edf.filterRoberts(img, dest);

    OImageStream<uint8> oisr("roberts.pgm");
    oisr.write(dest);

    edf.filterSobel(img, dest);

    OImageStream<uint8> oiss("sobel.pgm");
    oiss.write(dest);

    edf.filterPrewitt(img, dest);

    OImageStream<uint8> oisp("prewitt.pgm");
    oisp.write(dest);

    edf.filterKirsch(img, dest);

    OImageStream<uint8> oisk("kirsch.pgm");
    oisk.write(dest);

    edf.filterSogmc(img, dest);

    OImageStream<uint8> oisg("sogmc.pgm");
    oisg.write(dest);

    edf.filterClaudia(img, dest);

    OImageStream<uint8> oisc("claudia.pgm");
    oisc.write(dest);

    edf.filterRobinson(img, dest);

    OImageStream<uint8> oisro("robinson.pgm");
    oisro.write(dest);

    edf.filterMarrHildreth(img, dest);

    OImageStream<uint8> oismh("marrhildreth.pgm");
    oismh.write(dest);

	return 0;
} // main
