/*
   This file is part of the MoCA video library.
   Name: FaceData2.c
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*********************************************************
  nn2.c
  --------------------------------------------------------
  generated at Mon Jan 20 16:13:35 1997
  by snns2c ( Bernward Kett 1995 ) 
*********************************************************/

#ifdef _WIN32
#pragma warning( disable : 4305 4244)  
#endif

#include <math.h>

#define Act_Logistic(sum, bias)  ( (sum+bias<10000.0) ? ( 1.0/(1.0 + exp(-sum-bias) ) ) : 0.0 )

#ifndef NULL
#define NULL (void *)0
#endif 

typedef struct UT {
          float act;         /* Activation       */
          float Bias;        /* Bias of the Unit */
          int   NoOfSources; /* Number of predecessor units */
   struct UT   **sources; /* predecessor units */
          float *weights; /* weights from predecessor units */
        } UnitType, *pUnit;

  /* Forward Declaration for all unit types */
  static UnitType Units[456];
  /* Sources definition section */
  static pUnit Sources[] =  {
Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 

Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 

Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 

Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 

Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 

Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 

Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, 
Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, 
Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, 
Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, 
Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, 
Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, 
Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, 
Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, 
Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 
Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, 
Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, 
Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, 
Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, 
Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, 
Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, 
Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, 
Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, 
Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 
Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 

Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 

Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 

Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 

Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 

Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 

Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 

Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 

Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 

Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 

Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 401, Units + 402, Units + 403, Units + 404, Units + 405, Units + 406, Units + 407, Units + 408, Units + 409, Units + 410, 
Units + 411, Units + 412, Units + 413, Units + 414, Units + 415, Units + 416, Units + 417, Units + 418, Units + 419, Units + 420, 
Units + 421, Units + 422, Units + 423, Units + 424, Units + 425, Units + 426, Units + 427, Units + 428, Units + 429, Units + 430, 
Units + 431, Units + 432, Units + 433, Units + 434, Units + 435, Units + 436, Units + 437, Units + 438, Units + 439, Units + 440, 
Units + 441, Units + 442, Units + 443, Units + 444, Units + 445, Units + 446, Units + 447, Units + 448, Units + 449, Units + 450, 
Units + 451, Units + 452, 
Units + 401, Units + 402, Units + 403, Units + 404, Units + 405, Units + 406, Units + 407, Units + 408, Units + 409, Units + 410, 
Units + 411, Units + 412, Units + 413, Units + 414, Units + 415, Units + 416, Units + 417, Units + 418, Units + 419, Units + 420, 
Units + 421, Units + 422, Units + 423, Units + 424, Units + 425, Units + 426, Units + 427, Units + 428, Units + 429, Units + 430, 
Units + 431, Units + 432, Units + 433, Units + 434, Units + 435, Units + 436, Units + 437, Units + 438, Units + 439, Units + 440, 
Units + 441, Units + 442, Units + 443, Units + 444, Units + 445, Units + 446, Units + 447, Units + 448, Units + 449, Units + 450, 
Units + 451, Units + 452, 
Units + 453, Units + 454, 

  };

  /* Weigths definition section */
  static float Weights[] =  {
0.588410, 0.933940, -0.557120, 0.185580, 0.129980, -0.603050, 0.498300, 0.690000, 0.256950, -0.815140, 
1.014700, 0.342370, -0.700910, 1.124520, -0.878060, 0.092880, -0.130920, 0.576830, 0.092110, -0.658350, 
-0.494950, 0.475290, 0.602550, 0.755840, 0.402460, -0.867880, 0.478400, -0.247100, -0.721570, -0.699840, 
0.707120, 0.557410, -0.053750, -0.409620, 0.755110, 0.136780, 0.970270, -0.268710, -0.091350, -0.307320, 
-0.161240, 0.632640, -0.473410, 0.092730, -0.028430, 0.312300, -0.739840, 0.439400, 0.303150, -0.266150, 
0.630540, -0.603850, -0.801150, 0.952180, 0.619890, 0.283270, -0.833300, 0.614950, -0.623360, -0.866080, 
0.489050, -1.082530, 0.730640, 0.680320, -1.174580, -0.429940, 0.615310, -0.160440, -0.806670, -0.335360, 
-0.891030, -0.181780, -1.055120, 0.383240, -0.041590, -0.214560, -0.321670, 0.850140, -0.590780, 0.849530, 
-0.761430, -0.455150, 0.081380, -0.090610, 0.865320, 0.180820, 0.508880, 0.052170, 0.297060, -0.264100, 
-0.063310, 0.566850, 0.797270, 0.359480, -0.193130, -0.832730, 0.459680, -0.360200, 0.892900, 0.011210, 

-0.095220, -1.716950, -0.417490, 0.571800, 0.083980, 0.829710, 0.506980, 0.217750, 0.845970, 0.168140, 
0.282160, -1.214700, -0.382740, 0.628530, 0.253260, -0.403210, 0.345410, 0.841780, -0.521460, -0.099760, 
0.391460, -0.778240, -0.479740, 0.907300, -0.202660, 0.913230, 0.940770, -0.136960, -0.704100, -0.530660, 
-0.905080, -0.566310, -0.901420, -0.082590, 0.157540, 1.076010, -0.085880, 0.659780, 0.099430, -0.139440, 
-0.052330, 0.036860, -0.415900, -0.330220, 0.220510, 0.029280, 1.150130, -0.777400, -0.628900, 0.409730, 
0.813280, 0.055190, -0.505980, 0.416250, 0.479070, 0.149280, 1.022600, -0.775110, 0.609670, -0.913740, 
-0.521840, -0.064000, -0.689890, -0.226910, 0.451980, 0.883730, -0.590400, -0.305100, -0.001260, -0.370770, 
-0.952870, 0.859860, -0.329240, 0.973930, -0.102180, -0.259190, 0.827680, -1.207560, 0.133840, -0.954000, 
-0.229970, 1.133180, -0.086180, 0.550750, 0.704220, -0.386750, -0.787470, 0.802610, -0.442790, -0.143440, 
-0.903460, 0.412060, 1.006720, 0.786720, 0.133260, -0.825280, -1.098330, 0.891580, 0.388190, -0.152710, 

-0.665260, -0.556560, -0.229300, -0.283050, -0.379940, -0.386370, 0.220240, -0.724500, -0.040590, -0.913680, 
1.271770, 0.867180, 0.107690, -0.902200, -0.959910, 0.721330, -0.574600, 0.370240, -0.602300, 0.826000, 
0.525940, 0.977350, 0.465120, 0.769260, 0.369180, 0.078960, -0.360800, 0.870430, -0.015980, -0.414240, 
-0.927950, -0.746760, 0.903580, -0.739540, 0.295810, 0.941420, -0.871140, -0.248810, 0.607920, 0.658460, 
-0.487690, 0.706340, -0.595810, 0.630780, 0.249240, 0.762110, -1.105700, -0.762920, 0.318440, -0.616150, 
-0.242080, -0.905470, 0.143350, 0.286190, 0.650920, 0.885690, 0.051920, 0.822720, -0.151980, -0.358770, 
1.016250, 0.452830, 0.607910, -0.465490, -0.781840, 0.835220, 0.248610, 0.135020, 0.450540, -0.629460, 
0.160600, 0.527860, -0.142400, -0.947480, 0.438920, 0.073560, 0.452180, 0.055160, -0.509550, -0.233490, 
-1.060800, -1.076070, 0.037510, -0.230760, -0.541680, 0.109780, -0.113190, -0.469440, 0.446690, -0.908070, 
0.343590, 0.098780, -0.277160, 0.359330, 0.136420, 0.678440, 0.021690, -0.434100, -0.396390, 0.277790, 

1.017460, 0.509280, 0.180880, 0.152380, -0.797560, -0.239880, 1.024210, -0.109580, 0.023600, -0.669940, 
-0.257700, -0.180670, -0.904540, 0.585120, -0.777750, -0.577480, -0.342020, -0.356480, 0.060510, 0.436260, 
-0.692770, -0.415690, -1.049360, -0.896340, 0.511630, 0.196890, 0.329800, -0.611950, 0.144680, -0.469500, 
-0.225650, 0.280310, 0.248810, 1.152050, 0.824790, -0.041230, 1.195020, 1.349750, -0.038920, 0.410590, 
-0.181820, 0.288490, 0.558690, -0.468980, 0.458900, -0.020130, 0.002580, 1.227230, -0.038980, -0.284400, 
-0.513020, -0.880700, -0.829480, 0.535920, 0.658480, -0.047240, -0.329220, -0.788780, 0.411290, 0.461080, 
-0.414150, -0.853430, 0.922160, 0.738640, -0.465740, -0.974530, -0.135010, -0.406870, 0.947950, 0.207250, 
0.049090, 0.427970, 0.476980, -0.522320, 0.421200, 0.250530, -0.048830, -0.079040, -0.008080, 0.679080, 
0.886740, -0.883980, -0.367230, -0.780020, 0.020260, -0.160320, 0.500950, -0.256290, -1.002570, -0.645010, 
-0.744460, -0.726120, 0.454430, 0.538960, 0.304890, 1.016010, -0.161470, -0.624270, -0.381570, -0.375090, 

-0.050870, -0.003230, -0.242090, -0.085290, -0.463860, -0.448440, -1.190740, -1.459050, 0.148140, 0.689290, 
0.009030, 0.188580, -0.881380, 0.422140, 0.587690, -1.187300, -0.509530, 0.844690, 0.109800, 0.418500, 
0.713370, 0.157690, 0.172480, 0.306650, 0.192510, 0.566520, -0.470970, 1.089510, -0.291430, 0.758110, 
0.790520, -0.471980, 0.432390, 0.744130, -0.502440, -0.063490, -0.182730, 1.388080, 1.519290, 0.151570, 
0.864680, -0.295700, 0.451360, 0.817120, 0.856600, 0.709430, 1.265820, 0.966440, -0.414440, 0.479490, 
-0.000320, -0.337000, 0.012250, 0.003420, -1.209070, -1.093150, -0.778520, -0.713300, 0.148330, -0.231450, 
-0.825780, -0.396770, 0.707670, 0.051460, -0.479320, -0.366880, -0.803830, -0.214920, 0.714770, -0.390030, 
-0.185420, 0.320020, 0.570860, -0.608060, 0.673350, -0.286430, 0.628160, 0.059150, 1.176430, 0.568820, 
-0.218690, -0.457010, -0.674190, -0.492260, 0.748980, -0.911630, 0.344010, -0.465750, -0.375450, -0.254210, 
1.003440, -0.415330, -0.228650, -0.672470, 0.258190, -0.706020, -0.661790, -1.102960, -0.973850, 0.215230, 

-1.529500, -0.711700, -0.781350, -0.301010, -0.950480, -0.834230, 0.277450, -0.243500, -0.540030, 0.498020, 
1.254360, 0.299460, 0.304360, 0.607490, -0.573100, 0.584470, 0.213490, -0.030560, -0.117300, 0.323130, 
0.760450, 1.172680, 0.268140, -0.060270, 0.644840, 0.767340, -0.721380, 0.285100, 0.696630, -0.138180, 
0.008440, 0.224850, 1.406190, 0.932690, -0.360430, 0.594690, 0.120960, -0.594750, 1.001820, 0.460720, 
0.200060, 0.928870, 0.575740, 0.882600, 1.031890, 0.413780, -0.038850, 0.623440, 0.892120, 0.338230, 
0.654790, 0.537420, 0.159880, -0.165850, -0.783770, 0.493650, 0.923670, 1.258160, -0.113650, 0.261140, 
-0.457810, 0.382500, -0.288690, -0.833340, -0.888450, 0.218270, -0.668880, -0.126930, -0.778590, 0.316140, 
0.172500, -0.389100, -0.289710, -0.197480, -0.594380, -0.407520, -0.040760, 0.368650, -1.088990, -0.233900, 
0.223390, 0.029280, -0.906600, -0.970360, -0.841480, 0.208750, 0.228720, -1.270090, -1.258010, 0.025460, 
0.597980, -1.065290, 0.133550, 0.266750, 0.119550, 0.367460, -1.385790, -1.031370, -0.151940, 0.173710, 

-1.203200, 0.614100, 0.345180, -0.547400, 0.756360, 0.934930, 0.246490, 0.625810, 0.136380, 0.421980, 
0.412080, -0.149700, -0.258710, -0.820080, 0.832640, -0.462250, 0.601690, 1.323650, -0.479770, -0.576260, 
-0.989010, 0.660050, -0.540540, -0.183780, -0.054090, -0.717020, 1.143370, -0.146800, -0.534830, 0.868960, 
-0.017050, -0.560040, -0.485310, -0.611850, -0.616350, -0.627380, 0.782370, -0.113720, -0.758330, 0.440950, 
0.571790, 0.923960, 1.073300, -0.834880, -0.707100, 0.047730, 0.248710, 0.187910, 0.177020, -0.814890, 
0.757150, 0.811530, 0.285440, 0.273660, 0.503910, 0.273000, -0.827730, -0.650280, 0.983590, -0.625840, 
-1.151940, 0.139530, -0.071220, 0.245860, 0.435610, -0.601130, 0.127960, 0.439100, -0.517830, 0.804360, 
0.432240, 0.227610, -0.758180, 0.602720, 0.341070, 0.735570, 0.714900, -0.952130, -1.037970, 0.148270, 
0.293980, 0.069270, 0.337070, -0.040380, -0.626160, -0.972850, -0.628150, 0.419000, -0.806410, 1.154960, 
-0.132450, 0.461600, 0.059800, 0.369430, 0.662210, -0.556300, -1.213710, -0.755710, 0.435700, 1.136630, 

-1.061160, -0.584090, -0.887410, 0.350730, -0.402780, -0.316540, 0.010100, 0.834260, 0.729980, -0.992280, 
-0.960090, 0.065690, 0.691790, -0.133940, 0.161170, -0.496450, -0.604710, -0.464010, 0.775120, 0.527200, 
0.988090, 0.655960, 0.306340, -1.122890, -0.807580, 0.247580, 0.999460, 0.655080, -0.183800, 1.003950, 
0.180860, 1.037030, 1.455500, 0.215060, 0.278700, -0.860860, 0.597690, 1.124950, -0.353540, -0.358880, 
-1.222780, -0.276390, -0.341910, 0.958730, -0.287480, -0.644400, 0.864570, 0.535880, -0.645350, 0.806780, 
0.562000, 0.070890, 1.375370, -0.255740, 1.351360, -0.683840, -0.847690, -0.814070, 0.104930, -0.434140, 
-0.088690, -0.318970, 1.028430, 0.812900, 0.019790, 0.370960, 0.646620, 0.970920, -0.322200, 0.089660, 
-1.418370, -0.413490, 0.051590, 0.263020, 0.080180, -0.404580, -0.467230, -0.371690, -0.031580, 0.443650, 
0.056080, -0.818320, -0.391390, 0.038600, 0.384500, -0.497330, -1.414310, 0.180070, -0.217970, -0.644930, 
-0.942840, -0.591150, -0.625540, -0.300110, -0.779410, 0.566220, 0.065110, -0.791870, -0.262650, 0.462230, 

0.254940, 1.367720, 0.328890, -0.683510, -0.121650, 0.212660, 0.684890, 0.962270, 0.759010, 0.565880, 
-0.383270, 0.559380, -0.149270, 0.493000, 0.241590, 0.242640, 0.623150, 0.025040, 1.154650, -0.238720, 
-0.579490, 0.652400, 0.831960, 0.251200, -0.187760, 
0.970280, 0.419420, 0.900450, 0.186120, 0.194900, 0.695730, 0.581660, 0.901550, -0.553130, 0.921010, 
0.852100, -0.315890, -0.581460, -0.623280, 0.701370, -0.197710, 0.389160, 0.075410, 0.104250, -0.766950, 
-0.031130, -0.517560, -0.046520, 0.738050, 0.739690, 
-1.549040, -1.166020, -1.183080, 0.524170, 0.621580, -1.108480, -0.373480, -1.169140, 0.612700, 0.706550, 
0.050640, 0.460730, -0.279330, -0.107340, 1.412480, 0.972120, -0.108160, 0.398940, 0.413790, 0.919140, 
0.060130, -0.508530, 0.819550, -0.307020, -0.104160, 
-0.214410, 0.492430, 0.567500, 1.308530, 0.406630, 0.612510, 0.768790, -0.517020, -0.160110, 1.064400, 
0.248210, 0.187610, 1.062900, 0.196460, -0.526540, 1.045280, 0.767850, 1.007320, 0.959800, 0.189280, 
0.877680, -0.339880, 0.685650, -0.627820, -0.171330, 
-0.048540, -1.321230, 0.307550, 0.498280, -0.018880, 0.420400, -0.287710, 0.002640, -0.257340, -0.222440, 
-0.721670, -0.699820, 0.803210, -0.110230, -0.058860, -0.736210, 0.112650, 1.025510, 0.816310, 0.106730, 
1.230060, 0.417390, 1.256630, -0.541360, 0.823330, 
1.033400, 0.540560, -0.351860, -0.966500, 0.494920, 0.999700, -0.485060, 0.331620, -0.056860, 0.574510, 
0.303820, -0.245250, -0.664490, -1.140460, -0.216490, -0.290750, 0.013340, -1.258640, -0.951060, -0.448090, 
1.009300, -0.450970, -0.385990, -0.721490, 0.497610, 
-1.519130, -0.370690, -0.640100, 0.058960, -0.338490, -0.783490, 0.750250, 1.013510, 0.968420, 0.707600, 
0.187240, -0.507180, 0.811110, 1.024050, -0.137000, -0.248600, -0.836190, -0.001320, 0.960030, 0.826730, 
0.307840, 0.491170, -0.225360, 0.794370, -0.366830, 
-0.455090, -0.609210, 0.763330, 0.875530, 0.354050, 0.305630, -0.051840, 0.605350, 0.615630, 0.037330, 
0.346140, 0.801670, -1.002860, 0.649690, 0.680050, 0.084980, 0.575770, -0.871100, -0.238370, 0.481980, 
-0.707580, -1.161280, 0.620240, 0.551950, 0.243620, 
-0.105920, 0.367130, 0.753580, -0.865750, 0.050230, -1.000910, -0.571140, 0.057610, -0.401120, -0.460520, 
-0.188590, 0.538330, 0.561370, 0.412090, -1.021280, -0.598250, -0.229310, -0.967610, 0.680640, 0.211430, 
0.238140, -0.451850, 0.196650, -0.317670, -0.855350, 
0.184620, -0.305800, 0.692900, -0.446670, -1.049570, -0.534410, -0.750180, -0.276770, -0.218070, -0.891840, 
-0.489120, -0.047210, 0.349990, 0.056980, 1.033650, -1.115270, -0.255880, -0.779450, 0.323080, 0.884660, 
-0.235660, 0.318320, 0.387100, -0.709440, -0.735690, 
-1.086100, -0.276230, 0.840350, 0.877580, -0.423920, -0.196730, -0.566480, -0.162440, 0.639630, 1.006820, 
0.349820, -0.593750, -0.524850, 1.101790, 0.064640, -0.298340, -0.955560, -0.835710, 0.717820, 0.633540, 
0.365120, -1.533880, -0.018590, -0.395980, 1.023000, 
0.038480, -0.323180, 0.493910, 1.333300, -0.008880, -0.367320, 1.190440, 0.512500, 1.197560, 1.061050, 
1.407160, 0.392840, -0.055020, -0.107890, 0.565920, -0.314440, -0.311430, 0.311970, -0.504570, -0.045910, 
-0.517930, -0.948610, -1.429030, -0.781600, -1.036920, 
-0.912720, 0.226630, -0.921690, 0.041920, 0.396990, -0.989490, -0.364300, 0.146670, -0.376680, -0.377040, 
-0.601120, 0.217760, -0.493160, 0.469720, -0.736710, 0.862710, -0.807190, 0.006900, -0.834660, -1.015920, 
0.876450, -0.499150, 0.400630, -0.874220, -0.611720, 
0.977510, 0.888740, -0.000690, 0.154070, -0.604440, -0.745660, -0.504870, 0.045800, -0.497530, 0.121010, 
0.649660, 0.718600, 0.305460, 0.816190, 0.450490, -1.016590, -0.134220, 0.944630, 0.069660, 0.293730, 
-0.123380, 0.351310, 0.175780, 0.847010, 0.479390, 
0.787800, 0.251210, 0.703730, 0.365710, 0.691310, 0.066930, 0.902260, 0.289360, -0.716240, 0.556850, 
0.587100, -0.617290, 0.399380, 0.226220, 0.033280, 0.468140, -0.565260, 0.424720, 0.289590, -0.712740, 
-0.430610, 0.187660, -0.789720, -0.655340, -0.273660, 
0.289060, 0.847100, -0.296140, -0.792530, 0.529050, -0.148960, 0.206590, -0.516860, -0.851460, 0.084810, 
0.491710, -0.002060, -0.372690, -0.196400, -0.706130, 0.457590, 0.565350, 0.640510, 0.672480, 0.932870, 
-0.635480, -0.394880, 0.330170, 0.869890, 0.557570, 
1.205030, 0.064340, -0.708530, 0.095520, -0.433280, -0.698560, 0.257090, -0.171250, -0.726520, -0.416510, 
-0.993670, -1.152800, 1.063430, -0.166600, 0.088210, -1.063510, 0.764190, 0.411700, 0.043680, 0.748920, 
-0.931300, 0.442780, 0.452290, 0.186810, -0.769590, 
0.380570, -0.395130, -0.753310, -1.335910, -1.217880, 1.416440, 0.670020, 0.144910, -0.521830, 0.009160, 
1.463900, 0.169710, -0.411070, -0.915730, 0.046530, 0.716910, 0.550070, 0.427820, 0.385000, -0.029000, 
-0.158030, -0.490700, -0.122420, -0.517560, -1.001410, 
-0.050920, 0.501990, 0.952420, 1.020780, -0.948920, 0.859580, 0.141530, -0.974710, 0.172430, -0.637600, 
-0.081060, -0.280840, -0.970910, 0.867690, -0.498430, 0.919670, 0.452530, 0.583150, 0.394040, -0.925750, 
-0.445270, 0.592060, 0.027480, -0.379270, -0.958140, 
-1.197190, -0.807900, 0.296430, -0.270060, -0.196140, -0.460920, 0.532880, 0.722740, -0.620930, 0.913460, 
-0.775820, 0.012160, 0.040060, 0.773020, 0.402710, 0.249930, 1.143780, 0.959200, -0.694980, 0.747420, 
0.302770, 0.499410, 0.187670, 0.222180, -0.540300, 
0.417630, 0.565260, 0.785580, -0.040160, 1.179700, -0.404330, -0.615280, -0.579180, -0.182690, 0.340830, 
-0.430410, -0.500290, -1.001000, -1.136150, -0.608690, -0.704390, -0.768760, 0.539140, -0.455980, -0.371980, 
-0.928170, -0.449770, -0.360390, -0.642860, -1.117150, 
-0.175230, -0.802680, -0.392890, -0.527270, 0.322020, -0.502520, -0.143700, 0.253980, -0.193650, 0.954660, 
0.728030, 1.235760, -0.077700, 0.872570, -0.445990, 0.330330, -0.040770, 0.310800, -0.223450, 0.838790, 
1.119210, -0.280270, -0.912140, -0.146080, 1.065060, 
-0.207260, 0.767730, -0.694290, 0.811710, 0.060790, -0.578750, 0.374790, 0.110760, 0.027480, 0.214700, 
-0.991730, 0.933650, -0.554280, 0.336660, 0.631920, -1.018990, 0.873000, -0.625610, -0.415450, 0.395290, 
-0.569290, 0.936310, 0.225000, 0.958520, -1.062050, 
0.427950, -0.596180, -0.488630, -0.074480, -0.533500, 0.111120, 0.759930, 0.812720, -0.772440, 0.644660, 
0.222700, 0.674430, 0.147390, 0.704160, 0.006120, 0.797930, 1.183860, 0.988870, -0.221380, 0.927430, 
0.766300, 0.815750, 0.368620, -0.122450, 0.888660, 
-0.053790, -1.287560, -0.330910, -0.827820, 0.402710, 0.371890, -0.449920, -0.077730, -1.006850, -0.605260, 
0.533020, -0.650900, -0.381310, 0.597950, -0.429500, 0.495130, 0.189050, 0.358560, 1.173250, -0.397710, 
0.680970, 0.398920, -0.400410, 1.512070, 0.284170, 
0.605010, 0.568460, 0.863090, -0.697330, 0.503650, -0.533000, -0.466960, -0.434450, -0.340290, -0.519130, 
-0.053160, -0.622650, 0.491190, -0.697690, -0.599330, -0.926380, 1.108300, 0.245780, -0.356050, 0.434350, 
0.953560, -0.625150, -0.147430, 0.930470, -0.281650, 
0.912200, 0.003070, 0.209620, 0.787390, 0.513200, 0.372710, -1.166910, -0.207770, -0.562950, -0.348180, 
0.351460, -0.620380, -1.503330, -0.973430, -0.398440, 1.072190, -0.808840, -0.488230, 1.378280, 0.418200, 
0.387020, -0.577910, 1.137120, 1.365720, -0.347090, 
0.204060, -0.319950, -0.915630, -0.165330, -0.104980, 0.005880, 0.106490, 0.629610, 0.394000, 0.663880, 
-0.222560, -1.074500, 0.415200, 0.322820, 0.534630, -0.223950, 0.745030, -0.396510, -0.795040, 0.204410, 
-0.986740, 0.308260, -0.859130, -1.014020, -0.478800, 
-0.276910, 0.748620, 0.280630, -0.361840, -0.333250, -0.766390, 0.950170, -0.072420, 0.120980, 0.403810, 
-0.249850, 0.065640, -0.768650, 0.288060, -0.317650, -0.298170, -0.819740, 0.540490, 0.806020, 0.362800, 
-0.776100, -0.910060, 0.481210, -0.179900, 0.105500, 
-0.780410, 0.595130, 0.710440, 0.602680, 0.394290, 0.189550, 1.142610, 0.668760, 0.450550, 0.446070, 
0.533570, -0.079540, -0.176630, -0.554160, -0.781380, -0.029000, -0.500460, -0.598020, 0.365650, 0.994750, 
-0.120270, -1.627860, 0.671770, 0.813070, 0.642440, 
-0.056470, -0.433590, 0.364200, 0.835120, -0.928470, -0.301470, -0.268970, 0.047460, 0.120000, -0.511260, 
-0.405470, 1.007770, -0.178530, -0.896000, 0.028300, 0.132600, -0.086760, 0.651020, 0.589240, 0.869180, 
-0.901460, -0.161630, 0.920540, -0.816450, 0.175800, 
0.413730, -0.971640, -0.229040, 0.643290, 0.783490, 0.060600, 0.796600, 0.148470, -0.660490, -0.715370, 
-0.144000, 0.020780, 1.034380, -0.790860, 0.710330, -0.459590, 0.836190, -0.594030, -0.832690, 1.039630, 
0.461910, -0.829930, 0.537910, -0.744030, -0.183400, 
-0.227040, -0.235630, 0.507600, -0.618190, -0.988560, 0.747570, 0.202920, -0.477020, -0.037350, 0.208390, 
0.026540, 0.700200, -1.110170, 0.544800, -0.892030, -0.666890, -1.203620, -0.177120, 0.112670, 0.440110, 
0.342410, -0.855680, 0.650250, -0.647570, 0.767210, 0.010000, 0.888570, -0.443820, -1.120620, 0.328940, 
-0.682960, 0.576590, 1.120120, 0.053730, 0.180780, 0.435510, -0.384370, 0.633930, -0.064990, -0.359280, 
-0.405460, 0.064330, 1.001030, -0.021450, 0.594610, -0.115510, 1.072300, -0.358840, 0.511190, -0.623570, 
-1.207540, -0.822680, 0.363760, -0.150470, 0.572520, -0.423400, 0.520590, -0.177090, 0.430840, -0.323920, 
-0.652150, -0.661980, -0.531750, 0.162750, 1.485580, -0.503870, -0.804140, -0.511500, -1.369420, -1.270160, 
0.390990, -1.079860, -0.578610, 0.436240, 1.012570, 0.861170, 1.030920, -0.382250, -0.638670, 0.108430, 
0.324030, 0.573800, 0.679940, 0.429880, -0.719060, 0.346840, -0.163620, 0.759910, -0.601990, -0.998520, 
-0.879480, -0.359230, -0.249790, -0.182240, -0.116170, 0.491560, -0.013730, 0.481820, -0.297860, 0.384710, 

-0.334210, 0.027760, 0.116120, -1.110910, -0.022800, -1.129170, -0.654520, -0.368000, 0.695580, 1.328450, 
1.173490, 0.242830, -1.054880, -0.677670, -0.597760, -0.289040, 0.233390, 0.654840, 0.376810, 0.247710, 
0.516360, -0.123860, 0.413530, -0.240210, -0.469600, -0.793730, 0.616570, -0.834280, 0.709610, -0.098160, 
1.280960, -0.779920, -0.033610, 0.780080, 0.409470, 0.310050, -0.751330, -0.223950, -0.785000, -0.074600, 
0.407000, 0.606550, 0.737650, -0.044050, -0.228630, -0.588790, -0.505920, 0.597540, -0.496160, 0.804190, 
-0.531030, 0.217420, -1.168330, -0.119820, -0.040330, 0.334070, 0.185300, 0.331240, 0.466060, 0.283670, 
-0.013230, 0.550690, 0.096800, 0.178750, -0.505690, -1.190290, 0.661170, 0.251530, -0.790020, -0.200480, 
0.561220, 0.382110, -0.375740, 0.761040, 0.963690, -0.202150, -0.446690, -0.300670, 0.983130, -0.164470, 
-0.534060, -0.458440, 1.107850, 0.949940, -0.469680, -0.387290, -0.932150, -1.379430, -0.529060, 0.763120, 
-0.987140, -0.363390, -1.424070, 0.271240, 0.257060, 0.630610, 0.024240, 0.027330, -1.284400, 0.061490, 

-0.589760, 0.414210, 0.417520, 0.662630, 0.132070, -0.100210, -0.241980, 0.453450, -0.581130, -0.190250, 
0.377800, 1.142940, -0.114650, 0.736240, -0.738780, -0.083620, -0.985620, -0.439150, 0.531030, -0.825430, 
-0.194970, -0.892270, -0.409370, 0.509560, -0.493360, -0.309590, 1.025080, 0.886190, -0.833970, -0.969580, 
0.415710, 0.556280, -0.232230, 0.456790, -0.731650, -0.228060, 0.618270, 0.159670, -0.241700, 0.611030, 
0.939120, 0.604450, -0.492130, -0.612550, -0.654760, -0.711440, 0.918300, -0.458480, -0.105110, 0.290010, 
-0.234820, 1.174160, 1.076000, -0.470700, -0.148770, -0.361390, 0.744380, 1.242400, 0.276650, 0.871130, 
-0.502900, -0.383660, -0.058120, -0.822040, -0.717010, 0.633900, 0.724910, 0.475370, -0.193650, -0.313720, 
0.788180, -0.346540, 0.435510, 0.829000, -0.615460, 0.805000, 0.655030, 0.379980, 0.376740, 0.361180, 
-0.290800, -0.419360, -0.880090, -0.481990, -1.024060, 1.015020, -0.085150, -0.729700, 0.012280, -0.658310, 
0.117340, 0.151270, -0.211060, 0.962420, 0.751620, 0.302840, 0.319880, -0.406000, 0.910190, -0.705110, 

0.706560, 0.081080, -0.862140, -0.112950, -0.405450, 0.239110, 0.263340, 0.772330, -0.010540, 0.426310, 
-1.060160, -0.345820, 0.016070, -0.234160, -0.085720, -0.940240, -0.688190, -0.063880, 0.749600, -0.553990, 
0.709090, -0.437780, 0.738050, 0.726580, 0.234160, -0.249940, -0.090340, -0.646910, 0.701800, -0.695480, 
0.189650, -0.145150, -0.494650, 0.810670, 0.280780, -0.074900, -0.717530, -0.886700, 0.634220, 0.835910, 
1.076600, 0.762780, -0.285790, -0.042790, 0.366700, 1.154050, 0.155420, 1.070320, -0.401060, -0.010400, 
0.165990, -0.385870, 0.817410, -0.080390, 0.482550, 0.810940, -0.114610, -0.209880, -0.301460, 0.225060, 
0.585520, -0.325970, -0.369530, -0.915090, 0.380690, -0.678480, -0.490210, -0.033370, 0.656800, 0.991070, 
-0.764680, 0.103250, -0.172790, 0.619840, -0.147720, -0.402490, -0.440540, -0.675480, 0.142450, 0.634630, 
0.476050, -0.974510, 0.441900, 0.082940, -0.067520, 0.742270, -0.368200, -0.689740, -0.525850, 0.774110, 
0.434190, -0.747010, -0.411320, -0.753010, 0.050590, -0.211990, 0.940250, 0.060530, -0.972130, 0.212420, 

0.422340, -0.218520, -1.087260, -0.645900, -0.011160, -0.110430, -0.851130, 0.772750, -0.879870, -0.158830, 
-0.682530, 0.513730, 0.682670, -0.488770, -0.656460, 0.082030, -0.503030, 0.598160, 0.699300, -0.185480, 
-0.995010, -0.891220, 0.382990, -0.647380, 0.499710, 0.363840, 0.973180, -0.260200, 0.618760, 0.042490, 
0.613280, -0.066630, -0.820230, 0.157660, 0.313310, 0.379630, -0.557650, 0.311790, 0.680510, -0.373400, 
-0.102880, 0.446610, -0.225740, 0.739930, 0.331340, -0.625570, 0.063460, 1.176300, -0.031860, 1.164330, 
-0.504280, 0.219850, 0.490840, 0.882630, 0.884640, -0.700690, -0.299240, -1.002170, -0.844830, 0.612400, 
-0.043860, -0.374800, 0.570040, -0.157270, -0.537490, 0.696590, 0.458070, 0.452460, 0.252560, 0.689870, 
0.056110, -0.183010, 0.721690, 0.244800, -0.054790, -0.176910, -0.456280, -0.124520, 0.418860, 0.842050, 
0.900210, 0.264750, -0.424310, 0.531930, -0.801320, 0.543880, -0.481330, -0.151400, 0.573880, 0.019230, 
0.968240, 0.142170, -0.932940, -0.298900, -0.315860, -0.757450, -0.493740, -0.699000, 0.519940, -0.675050, 

-1.032260, -0.237830, -0.090400, 0.550140, 0.280280, -0.627560, 0.343630, -1.031350, -0.525850, 1.199840, 
0.678030, 0.326190, -0.419830, -0.414210, 0.085620, 0.749410, 0.152880, 0.964070, 0.608580, -0.739140, 
-0.260440, -0.700210, -0.395470, -0.963040, 0.091570, 0.752950, -0.634630, 0.594610, 0.801250, -0.971940, 
0.709430, 0.860380, 0.244150, 0.143220, 0.818750, -0.550490, -0.390620, -0.522120, 0.697620, -1.295800, 
-0.136130, -0.148960, 0.951840, -0.600590, -0.259980, -0.965030, -0.085410, 0.416590, -0.535070, -0.333860, 
-0.189100, 0.270460, 0.151890, -0.397840, 0.988660, 0.291370, -0.565130, 0.845490, -0.268010, 0.262510, 
0.857350, -0.353780, 0.044280, 0.352650, -0.350450, 0.853340, 0.319960, 1.032450, 0.145990, -0.357360, 
-0.084640, -0.507420, 0.903500, 0.806440, 0.171700, 0.699770, -0.169920, -0.340580, -0.884730, -0.025680, 
0.484790, 0.501370, 0.642100, -0.399050, 0.534530, -0.012200, -0.262200, -0.599430, -0.228450, -0.516990, 
0.750780, 0.305310, -0.431390, -0.878380, 0.182000, -0.169030, 0.909630, 1.055310, 0.005720, 1.404760, 

-0.640100, -0.919040, -0.120530, 0.771230, -0.286660, -0.780040, 0.817130, 0.507850, -0.818110, -0.842470, 
-0.050940, 0.375740, -0.180780, 0.652110, 0.724670, 0.929390, 0.387750, -0.671280, -0.959690, -0.337910, 
0.750800, -0.183160, -0.745720, 0.663700, 0.873850, -0.005000, -0.622810, 0.241800, 0.589180, -0.953480, 
-0.720270, 0.650350, 0.478930, 0.817350, 0.524950, 0.200590, 0.491040, -0.173930, -0.324470, 0.788740, 
-0.676020, -0.653460, 0.475230, -0.601150, 0.166720, -0.719220, 0.886440, -0.642880, -0.634220, -0.408900, 
0.794020, 0.290160, 0.261430, -0.043160, -0.773670, 0.966650, 0.700460, 0.458180, 0.906690, 0.524350, 
0.235690, 0.965560, -0.359060, -0.000980, -0.981010, -0.078410, 0.154140, -0.626820, -0.384980, 0.669440, 
0.027090, -0.607330, -0.952720, 0.726570, -0.876770, -0.699570, 0.309850, -0.146500, -0.998940, 0.846730, 
-0.083830, 0.126410, 0.867760, 0.387040, 0.318940, -0.995950, 0.404110, -0.962660, 0.876530, -0.061500, 
-0.098440, -0.978750, -0.261220, -0.173670, 0.670640, -0.330190, 0.384160, -0.347990, 0.226120, 0.390950, 

0.258910, 0.016340, 0.510030, 0.583640, 0.542270, 0.460060, 0.287420, -0.600970, -1.102750, -0.148710, 
-1.058060, -0.081370, 0.408110, 0.247800, -0.338980, 0.414330, -0.132660, -0.033450, -0.448260, -0.149700, 
0.660220, -0.894710, -0.494690, -0.454190, 1.036160, -0.874490, 1.110940, -0.638500, -0.574830, -0.263070, 
0.379190, -0.362290, -0.503250, -0.861220, -0.214340, 0.830920, 0.631280, 0.860870, 0.026500, -0.113650, 
1.123280, 0.658800, 0.134200, -0.070150, 0.121220, 0.773950, 0.051740, -0.185630, 0.828620, 0.568910, 
-0.556320, -0.523430, 0.416690, 0.210770, -0.555960, 0.236130, -0.696510, -0.076020, 0.750120, 0.407170, 
0.321530, 0.365960, 0.780030, 0.173500, 0.489250, -0.745580, 1.038580, 0.044070, 0.355100, -0.509150, 
-0.855560, -0.632690, -0.269020, 0.840250, -0.241030, -0.572260, 1.018860, 0.746080, 0.736300, 0.027700, 
0.174780, 0.060350, 0.120830, 0.601630, -1.010530, 0.194700, -0.940650, -0.378770, 0.708440, -0.742510, 
0.006560, -1.033700, 0.789640, -0.258530, -0.545600, -0.283630, -0.852570, -0.550360, -0.959430, -0.073180, 

-0.214490, -0.095060, 0.995660, 0.398580, 0.083720, -0.402490, 0.273940, -0.480440, 1.438920, 0.568660, 
-0.604670, -0.823580, 0.558360, 0.462860, -0.848860, -0.129240, 0.692770, -0.758160, 0.554720, 0.060210, 
-0.218080, -0.439740, 0.669340, -0.797690, 0.740880, -0.950390, 0.864040, 0.058590, 0.641830, 0.311710, 
0.621030, 0.760500, 0.692150, 0.787290, 0.306980, 0.505600, 0.129680, -0.313740, -0.942630, -0.695340, 
0.528740, -0.307150, -1.202670, 0.142020, 0.336530, 0.597810, 0.957190, 0.887580, -0.839950, -0.442470, 
0.547310, -0.348860, -0.382750, 0.871120, 0.325270, -0.776930, 0.241720, 0.653340, 0.388810, 0.928350, 
-0.624490, -0.145680, -0.886410, -0.251540, -1.039050, -0.096500, -0.553090, -1.053210, 0.269040, 0.389530, 
-0.037000, 0.225410, 0.796280, 0.054880, 0.851800, 0.177090, -0.375970, 1.074420, -0.062110, 1.027020, 
-0.533000, 0.449940, -0.237970, -0.612120, -1.126260, 0.455800, -0.104740, -0.181280, 0.713520, 0.196020, 
0.187590, -0.215510, -0.357010, 0.745040, -0.025990, 0.289140, -0.486280, 1.070730, 0.393340, -0.601720, 

0.127590, -0.151470, -0.000570, 0.111040, 0.548070, -1.037310, -0.575780, -0.080700, 0.692440, 0.302440, 
-0.166140, 0.454210, -1.030990, -0.239150, 0.501510, 0.541680, 0.522460, -0.600050, 0.339500, -1.202750, 
-1.217430, 0.758700, -0.751810, 0.190700, -0.338350, 0.241150, -1.080160, 0.006040, 0.361270, -0.149120, 
1.055150, 0.029390, -0.684260, -0.552250, -0.789310, 0.568310, -1.048340, -0.355490, -0.112610, -1.012230, 
0.575290, 0.510650, 1.114690, 0.877580, -0.776070, -0.604320, -0.827100, -0.823760, -0.550260, -0.556790, 
0.763570, -0.593790, 0.426840, -1.041830, 0.309430, 0.015860, -0.385560, 0.877920, -0.274230, 0.538400, 
0.789250, -0.098180, 0.938870, 0.031060, -0.060260, 0.640470, -0.363020, 0.608990, -0.529010, 0.771500, 
0.874630, -1.098610, 0.407460, 0.756590, 0.856640, -0.497500, -0.382870, 0.605040, -0.542970, 0.694500, 
-0.564890, -0.025150, -0.277000, -0.514950, 0.444100, 1.074380, -0.153430, 1.040150, -0.126690, -0.278620, 
-1.541970, -0.891040, 0.601400, 0.421890, 0.098950, -0.515920, 0.266960, 0.348280, -0.571880, 0.003290, 

0.496680, 0.489900, 0.127810, -0.943920, -0.545080, -1.069150, -1.093640, -1.349800, 0.025700, 0.499210, 
-0.441320, -0.605860, -0.141140, -0.855880, 0.146810, 0.675360, 0.639260, -0.101500, -0.521440, -0.500240, 
0.354010, -0.892170, -0.723930, 0.390080, 0.240190, 0.036370, 0.042060, -0.424730, 0.028040, -0.781490, 
0.162530, 0.891210, 0.254690, 0.484480, 0.633050, 0.454030, -1.049550, 0.585890, -0.367590, -0.203540, 
0.090380, 0.781520, -0.177210, -0.168240, 0.507720, -0.638720, -0.143770, -0.422070, 0.696770, -0.404010, 
0.515820, 0.548110, -0.556180, 0.047420, 0.609350, 0.097830, 0.788880, 0.690000, 0.890090, -0.014600, 
0.690720, -0.337000, 0.288010, -0.163970, -0.317790, -0.050400, -0.041520, -0.739040, 0.166240, 0.579550, 
0.950620, -0.379810, -0.673240, -0.789470, -0.342190, 0.206650, 0.820480, -0.133580, 0.039820, -0.134450, 
-0.289100, 0.691340, 0.333970, 0.173780, 0.516330, 0.059220, -0.429890, -0.549710, -0.681220, 0.786320, 
-0.718250, 1.283000, 0.577370, -0.289970, -0.081980, -0.669370, 0.702870, 0.454310, -0.968600, 0.487340, 

-0.037670, 0.234920, 0.783410, -0.585960, 0.674380, 0.306150, -0.341130, 0.177650, -1.183420, 0.635190, 
0.199060, 0.855280, -0.485940, 0.485540, -0.587370, 0.449780, -0.067110, -0.319880, 0.565970, 0.550330, 
0.395650, -0.485830, -0.815120, 0.161740, -0.682470, -0.102630, 1.134430, -0.541750, -0.619960, -0.072010, 
0.706030, 0.680090, 0.234990, -0.270680, 0.780360, -0.208800, -0.162650, -0.489280, 0.572280, 0.731530, 
-0.446120, 0.750350, -0.389890, 0.444010, 0.576740, 0.503020, 0.171000, 0.270400, -0.098790, 0.644230, 
-0.450540, -0.029240, 0.509840, -0.561890, 0.010550, -0.554830, -0.422830, -0.010540, -0.420420, -0.333160, 
1.396040, 0.977290, -0.430920, 0.168410, 0.633010, 0.979300, -0.387820, 0.819320, 0.110820, 0.362230, 
-0.346010, 1.385520, -0.603080, -0.402740, -0.456030, 0.857370, 0.645730, -0.009850, -0.691890, 1.051420, 
0.370720, -0.732110, 0.512940, -0.446680, -0.257230, 0.701420, 0.468930, -0.209390, -0.507460, -0.770820, 
0.902580, 0.180220, 0.054220, 0.633320, -0.842750, 0.526490, -0.989690, -1.005520, -0.542450, -0.200630, 

1.246900, -0.173270, 0.765610, -0.888470, 0.434810, 0.918760, -0.116850, -0.245360, 0.483580, 0.233760, 
0.463290, 0.046510, -0.109110, -0.961720, -1.286640, -0.365570, -0.381790, 1.081400, 0.676810, -0.902800, 
0.582780, -0.556350, 0.225310, 0.606010, -0.632790, 0.678560, -0.110900, -0.501810, 0.391040, 0.755830, 
-1.458220, 0.586040, -0.745460, -0.242450, -0.602180, -1.450480, -0.380610, -0.008200, -0.099760, 0.891710, 
0.874610, -0.776490, 0.240670, -0.026230, -0.312600, 0.522830, -0.877620, -0.388520, 0.050390, -0.370150, 
0.657770, 0.475270, 
-1.084370, -1.961130, -1.531440, 0.640800, -2.840430, -2.679440, -1.828010, -3.235870, -1.067330, -0.292360, 
-1.939140, -1.603720, 0.677910, 1.064930, -1.649130, -0.331330, -0.822490, -1.420560, -1.197420, 1.550940, 
-0.045410, -0.553670, 0.473620, -0.943770, -1.033090, -1.909410, 0.377410, -0.611730, -1.802600, 0.914080, 
-0.537080, 1.088660, -1.487010, 0.323120, 1.347930, -0.288570, 0.520200, -1.947380, -0.273630, -0.236230, 
-1.732950, 1.324750, -0.867910, -0.889880, 0.503730, -2.338680, -0.149150, -1.199610, 2.107630, 1.682000, 
1.079740, -1.326950, 
-1.807250, 4.967890, 

  };

  /* unit definition section (see also UnitType) */
  static UnitType Units[456] = 
  {
    { 0.0, 0.0, 0, NULL , NULL },
    { /* unit 1 (Old: 1) */
      0.0, 0.207070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 2 (Old: 2) */
      0.0, -0.680970, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 3 (Old: 3) */
      0.0, 0.293330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 4 (Old: 4) */
      0.0, 0.106830, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 5 (Old: 5) */
      0.0, 0.362610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 6 (Old: 6) */
      0.0, -0.772860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 7 (Old: 7) */
      0.0, 0.968830, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 8 (Old: 8) */
      0.0, -0.168180, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 9 (Old: 9) */
      0.0, 0.681260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 10 (Old: 10) */
      0.0, 0.232570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 11 (Old: 11) */
      0.0, -0.382010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 12 (Old: 12) */
      0.0, 0.882280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 13 (Old: 13) */
      0.0, -0.799710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 14 (Old: 14) */
      0.0, 0.672910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 15 (Old: 15) */
      0.0, 0.681860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 16 (Old: 16) */
      0.0, -0.066130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 17 (Old: 17) */
      0.0, -0.208290, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 18 (Old: 18) */
      0.0, -0.165400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 19 (Old: 19) */
      0.0, 0.460060, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 20 (Old: 20) */
      0.0, 0.219040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 21 (Old: 21) */
      0.0, 0.413200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 22 (Old: 22) */
      0.0, -0.484750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 23 (Old: 23) */
      0.0, 0.402950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 24 (Old: 24) */
      0.0, 0.848920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 25 (Old: 25) */
      0.0, 0.190030, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 26 (Old: 26) */
      0.0, -0.714760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 27 (Old: 27) */
      0.0, -0.883940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 28 (Old: 28) */
      0.0, -0.325660, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 29 (Old: 29) */
      0.0, -0.692950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 30 (Old: 30) */
      0.0, 0.994490, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 31 (Old: 31) */
      0.0, 0.075240, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 32 (Old: 32) */
      0.0, -0.065190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 33 (Old: 33) */
      0.0, -0.575750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 34 (Old: 34) */
      0.0, 0.468780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 35 (Old: 35) */
      0.0, -0.965500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 36 (Old: 36) */
      0.0, 0.386430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 37 (Old: 37) */
      0.0, -0.201710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 38 (Old: 38) */
      0.0, -0.217430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 39 (Old: 39) */
      0.0, 0.575120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 40 (Old: 40) */
      0.0, -0.771790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 41 (Old: 41) */
      0.0, 0.390690, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 42 (Old: 42) */
      0.0, 0.696280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 43 (Old: 43) */
      0.0, 0.324680, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 44 (Old: 44) */
      0.0, 0.225050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 45 (Old: 45) */
      0.0, -0.287220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 46 (Old: 46) */
      0.0, -0.507110, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 47 (Old: 47) */
      0.0, -0.207230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 48 (Old: 48) */
      0.0, -0.063260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 49 (Old: 49) */
      0.0, 0.081280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 50 (Old: 50) */
      0.0, -0.304980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 51 (Old: 51) */
      0.0, 0.345640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 52 (Old: 52) */
      0.0, -0.892740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 53 (Old: 53) */
      0.0, 0.263920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 54 (Old: 54) */
      0.0, -0.887780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 55 (Old: 55) */
      0.0, 0.985140, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 56 (Old: 56) */
      0.0, -0.033200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 57 (Old: 57) */
      0.0, 0.454460, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 58 (Old: 58) */
      0.0, 0.951400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 59 (Old: 59) */
      0.0, -0.183910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 60 (Old: 60) */
      0.0, 0.590070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 61 (Old: 61) */
      0.0, -0.755390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 62 (Old: 62) */
      0.0, 0.881260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 63 (Old: 63) */
      0.0, 0.478310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 64 (Old: 64) */
      0.0, 0.394340, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 65 (Old: 65) */
      0.0, -0.782990, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 66 (Old: 66) */
      0.0, 0.003600, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 67 (Old: 67) */
      0.0, -0.420050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 68 (Old: 68) */
      0.0, 0.427170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 69 (Old: 69) */
      0.0, -0.729850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 70 (Old: 70) */
      0.0, -0.351080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 71 (Old: 71) */
      0.0, 0.083020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 72 (Old: 72) */
      0.0, -0.919270, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 73 (Old: 73) */
      0.0, -0.549350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 74 (Old: 74) */
      0.0, 0.246900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 75 (Old: 75) */
      0.0, 0.542720, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 76 (Old: 76) */
      0.0, 0.290930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 77 (Old: 77) */
      0.0, 0.399360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 78 (Old: 78) */
      0.0, -0.339530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 79 (Old: 79) */
      0.0, -0.437930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 80 (Old: 80) */
      0.0, -0.131910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 81 (Old: 81) */
      0.0, -0.648930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 82 (Old: 82) */
      0.0, 0.218780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 83 (Old: 83) */
      0.0, -0.637530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 84 (Old: 84) */
      0.0, -0.688020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 85 (Old: 85) */
      0.0, 0.639060, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 86 (Old: 86) */
      0.0, -0.886790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 87 (Old: 87) */
      0.0, 0.150230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 88 (Old: 88) */
      0.0, -0.041330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 89 (Old: 89) */
      0.0, 0.868710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 90 (Old: 90) */
      0.0, -0.827020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 91 (Old: 91) */
      0.0, -0.765170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 92 (Old: 92) */
      0.0, -0.522730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 93 (Old: 93) */
      0.0, 0.202150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 94 (Old: 94) */
      0.0, -0.376510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 95 (Old: 95) */
      0.0, -0.523100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 96 (Old: 96) */
      0.0, 0.189980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 97 (Old: 97) */
      0.0, 0.749500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 98 (Old: 98) */
      0.0, 0.030730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 99 (Old: 99) */
      0.0, 0.555070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 100 (Old: 100) */
      0.0, -0.746240, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 101 (Old: 101) */
      0.0, -0.057640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 102 (Old: 102) */
      0.0, 0.997170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 103 (Old: 103) */
      0.0, -0.721030, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 104 (Old: 104) */
      0.0, 0.962610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 105 (Old: 105) */
      0.0, -0.629780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 106 (Old: 106) */
      0.0, 0.514230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 107 (Old: 107) */
      0.0, 0.370860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 108 (Old: 108) */
      0.0, -0.931470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 109 (Old: 109) */
      0.0, -0.871120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 110 (Old: 110) */
      0.0, -0.618860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 111 (Old: 111) */
      0.0, 0.015780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 112 (Old: 112) */
      0.0, 0.559730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 113 (Old: 113) */
      0.0, -0.152710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 114 (Old: 114) */
      0.0, 0.421940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 115 (Old: 115) */
      0.0, 0.357870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 116 (Old: 116) */
      0.0, 0.477350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 117 (Old: 117) */
      0.0, 0.652020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 118 (Old: 118) */
      0.0, 0.996370, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 119 (Old: 119) */
      0.0, 0.910430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 120 (Old: 120) */
      0.0, 0.517650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 121 (Old: 121) */
      0.0, 0.169100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 122 (Old: 122) */
      0.0, -0.403250, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 123 (Old: 123) */
      0.0, 0.556310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 124 (Old: 124) */
      0.0, -0.007820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 125 (Old: 125) */
      0.0, 0.865940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 126 (Old: 126) */
      0.0, 0.213870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 127 (Old: 127) */
      0.0, 0.041050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 128 (Old: 128) */
      0.0, 0.563720, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 129 (Old: 129) */
      0.0, 0.560980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 130 (Old: 130) */
      0.0, -0.832410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 131 (Old: 131) */
      0.0, 0.299560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 132 (Old: 132) */
      0.0, 0.614610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 133 (Old: 133) */
      0.0, 0.577530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 134 (Old: 134) */
      0.0, -0.267360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 135 (Old: 135) */
      0.0, 0.892870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 136 (Old: 136) */
      0.0, -0.566820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 137 (Old: 137) */
      0.0, 0.938650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 138 (Old: 138) */
      0.0, 0.111810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 139 (Old: 139) */
      0.0, 0.647170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 140 (Old: 140) */
      0.0, -0.864360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 141 (Old: 141) */
      0.0, -0.819300, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 142 (Old: 142) */
      0.0, 0.054310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 143 (Old: 143) */
      0.0, -0.743390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 144 (Old: 144) */
      0.0, -0.391130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 145 (Old: 145) */
      0.0, -0.860380, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 146 (Old: 146) */
      0.0, 0.089820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 147 (Old: 147) */
      0.0, 0.202870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 148 (Old: 148) */
      0.0, -0.786610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 149 (Old: 149) */
      0.0, -0.387090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 150 (Old: 150) */
      0.0, -0.677470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 151 (Old: 151) */
      0.0, -0.479400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 152 (Old: 152) */
      0.0, -0.302540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 153 (Old: 153) */
      0.0, -0.356310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 154 (Old: 154) */
      0.0, -0.154420, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 155 (Old: 155) */
      0.0, 0.453760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 156 (Old: 156) */
      0.0, -0.870780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 157 (Old: 157) */
      0.0, -0.323880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 158 (Old: 158) */
      0.0, 0.905170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 159 (Old: 159) */
      0.0, 0.253920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 160 (Old: 160) */
      0.0, -0.236390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 161 (Old: 161) */
      0.0, 0.702740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 162 (Old: 162) */
      0.0, 0.245390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 163 (Old: 163) */
      0.0, -0.289180, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 164 (Old: 164) */
      0.0, 0.948620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 165 (Old: 165) */
      0.0, -0.682760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 166 (Old: 166) */
      0.0, 0.845960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 167 (Old: 167) */
      0.0, -0.485270, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 168 (Old: 168) */
      0.0, 0.488030, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 169 (Old: 169) */
      0.0, -0.803690, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 170 (Old: 170) */
      0.0, 0.244700, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 171 (Old: 171) */
      0.0, 0.360940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 172 (Old: 172) */
      0.0, 0.577130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 173 (Old: 173) */
      0.0, -0.297070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 174 (Old: 174) */
      0.0, 0.497370, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 175 (Old: 175) */
      0.0, 0.542710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 176 (Old: 176) */
      0.0, 0.498160, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 177 (Old: 177) */
      0.0, -0.886440, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 178 (Old: 178) */
      0.0, 0.726570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 179 (Old: 179) */
      0.0, 0.459880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 180 (Old: 180) */
      0.0, -0.097410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 181 (Old: 181) */
      0.0, 0.351960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 182 (Old: 182) */
      0.0, -0.730160, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 183 (Old: 183) */
      0.0, 0.406590, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 184 (Old: 184) */
      0.0, -0.360120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 185 (Old: 185) */
      0.0, -0.666290, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 186 (Old: 186) */
      0.0, -0.752610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 187 (Old: 187) */
      0.0, -0.299330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 188 (Old: 188) */
      0.0, 0.853770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 189 (Old: 189) */
      0.0, -0.797090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 190 (Old: 190) */
      0.0, 0.492840, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 191 (Old: 191) */
      0.0, -0.222640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 192 (Old: 192) */
      0.0, -0.683780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 193 (Old: 193) */
      0.0, -0.664040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 194 (Old: 194) */
      0.0, 0.254830, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 195 (Old: 195) */
      0.0, -0.514100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 196 (Old: 196) */
      0.0, 0.781570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 197 (Old: 197) */
      0.0, -0.701620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 198 (Old: 198) */
      0.0, -0.118660, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 199 (Old: 199) */
      0.0, -0.715160, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 200 (Old: 200) */
      0.0, 0.313810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 201 (Old: 201) */
      0.0, -0.383540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 202 (Old: 202) */
      0.0, 0.309610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 203 (Old: 203) */
      0.0, -0.787170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 204 (Old: 204) */
      0.0, -0.917420, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 205 (Old: 205) */
      0.0, 0.756530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 206 (Old: 206) */
      0.0, -0.963090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 207 (Old: 207) */
      0.0, 0.889950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 208 (Old: 208) */
      0.0, -0.229550, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 209 (Old: 209) */
      0.0, 0.923750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 210 (Old: 210) */
      0.0, 0.247050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 211 (Old: 211) */
      0.0, -0.051210, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 212 (Old: 212) */
      0.0, 0.436150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 213 (Old: 213) */
      0.0, -0.121080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 214 (Old: 214) */
      0.0, -0.214490, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 215 (Old: 215) */
      0.0, -0.632880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 216 (Old: 216) */
      0.0, 0.106930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 217 (Old: 217) */
      0.0, 0.945780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 218 (Old: 218) */
      0.0, 0.056290, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 219 (Old: 219) */
      0.0, 0.430200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 220 (Old: 220) */
      0.0, 0.414550, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 221 (Old: 221) */
      0.0, 0.608640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 222 (Old: 222) */
      0.0, 0.964840, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 223 (Old: 223) */
      0.0, -0.659200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 224 (Old: 224) */
      0.0, -0.146330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 225 (Old: 225) */
      0.0, 0.790440, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 226 (Old: 226) */
      0.0, -0.465950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 227 (Old: 227) */
      0.0, 0.761800, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 228 (Old: 228) */
      0.0, 0.552220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 229 (Old: 229) */
      0.0, -0.894510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 230 (Old: 230) */
      0.0, -0.478100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 231 (Old: 231) */
      0.0, -0.642710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 232 (Old: 232) */
      0.0, -0.652260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 233 (Old: 233) */
      0.0, 0.498040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 234 (Old: 234) */
      0.0, 0.487010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 235 (Old: 235) */
      0.0, 0.323610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 236 (Old: 236) */
      0.0, 0.223560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 237 (Old: 237) */
      0.0, -0.054640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 238 (Old: 238) */
      0.0, 0.467180, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 239 (Old: 239) */
      0.0, 0.197560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 240 (Old: 240) */
      0.0, -0.741790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 241 (Old: 241) */
      0.0, 0.908220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 242 (Old: 242) */
      0.0, 0.410850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 243 (Old: 243) */
      0.0, 0.211510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 244 (Old: 244) */
      0.0, -0.120000, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 245 (Old: 245) */
      0.0, 0.378360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 246 (Old: 246) */
      0.0, -0.645150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 247 (Old: 247) */
      0.0, 0.049040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 248 (Old: 248) */
      0.0, 0.817710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 249 (Old: 249) */
      0.0, 0.475200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 250 (Old: 250) */
      0.0, -0.834090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 251 (Old: 251) */
      0.0, -0.956870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 252 (Old: 252) */
      0.0, 0.335810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 253 (Old: 253) */
      0.0, -0.804150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 254 (Old: 254) */
      0.0, 0.518730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 255 (Old: 255) */
      0.0, 0.253670, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 256 (Old: 256) */
      0.0, -0.504570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 257 (Old: 257) */
      0.0, 0.084350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 258 (Old: 258) */
      0.0, -0.801260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 259 (Old: 259) */
      0.0, 0.154210, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 260 (Old: 260) */
      0.0, -0.131850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 261 (Old: 261) */
      0.0, -0.940920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 262 (Old: 262) */
      0.0, 0.292260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 263 (Old: 263) */
      0.0, 0.136990, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 264 (Old: 264) */
      0.0, 0.641820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 265 (Old: 265) */
      0.0, 0.569360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 266 (Old: 266) */
      0.0, 0.325650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 267 (Old: 267) */
      0.0, 0.091260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 268 (Old: 268) */
      0.0, 0.910550, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 269 (Old: 269) */
      0.0, -0.367760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 270 (Old: 270) */
      0.0, 0.875700, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 271 (Old: 271) */
      0.0, -0.102750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 272 (Old: 272) */
      0.0, 0.367660, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 273 (Old: 273) */
      0.0, 0.463560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 274 (Old: 274) */
      0.0, -0.001530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 275 (Old: 275) */
      0.0, 0.874930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 276 (Old: 276) */
      0.0, -0.929650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 277 (Old: 277) */
      0.0, -0.459150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 278 (Old: 278) */
      0.0, -0.612630, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 279 (Old: 279) */
      0.0, 0.696050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 280 (Old: 280) */
      0.0, -0.410040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 281 (Old: 281) */
      0.0, -0.459910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 282 (Old: 282) */
      0.0, -0.685130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 283 (Old: 283) */
      0.0, -0.235860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 284 (Old: 284) */
      0.0, -0.910900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 285 (Old: 285) */
      0.0, 0.041220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 286 (Old: 286) */
      0.0, -0.054170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 287 (Old: 287) */
      0.0, 0.941230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 288 (Old: 288) */
      0.0, -0.215220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 289 (Old: 289) */
      0.0, 0.904860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 290 (Old: 290) */
      0.0, -0.185540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 291 (Old: 291) */
      0.0, 0.194710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 292 (Old: 292) */
      0.0, -0.808790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 293 (Old: 293) */
      0.0, 0.339740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 294 (Old: 294) */
      0.0, 0.378330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 295 (Old: 295) */
      0.0, -0.709890, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 296 (Old: 296) */
      0.0, -0.468300, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 297 (Old: 297) */
      0.0, 0.802750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 298 (Old: 298) */
      0.0, 0.319080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 299 (Old: 299) */
      0.0, 0.196520, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 300 (Old: 300) */
      0.0, -0.970330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 301 (Old: 301) */
      0.0, -0.259190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 302 (Old: 302) */
      0.0, -0.663920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 303 (Old: 303) */
      0.0, 0.125760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 304 (Old: 304) */
      0.0, -0.582450, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 305 (Old: 305) */
      0.0, 0.881080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 306 (Old: 306) */
      0.0, 0.729730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 307 (Old: 307) */
      0.0, -0.087650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 308 (Old: 308) */
      0.0, -0.860900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 309 (Old: 309) */
      0.0, -0.769800, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 310 (Old: 310) */
      0.0, 0.220210, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 311 (Old: 311) */
      0.0, 0.170880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 312 (Old: 312) */
      0.0, -0.713730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 313 (Old: 313) */
      0.0, 0.426480, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 314 (Old: 314) */
      0.0, 0.784490, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 315 (Old: 315) */
      0.0, -0.153350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 316 (Old: 316) */
      0.0, -0.555200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 317 (Old: 317) */
      0.0, 0.715500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 318 (Old: 318) */
      0.0, -0.617350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 319 (Old: 319) */
      0.0, -0.496190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 320 (Old: 320) */
      0.0, 0.179950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 321 (Old: 321) */
      0.0, 0.049770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 322 (Old: 322) */
      0.0, 0.311080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 323 (Old: 323) */
      0.0, 0.166400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 324 (Old: 324) */
      0.0, 0.952700, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 325 (Old: 325) */
      0.0, -0.051620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 326 (Old: 326) */
      0.0, -0.435780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 327 (Old: 327) */
      0.0, 0.527950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 328 (Old: 328) */
      0.0, -0.389730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 329 (Old: 329) */
      0.0, -0.559900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 330 (Old: 330) */
      0.0, -0.525500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 331 (Old: 331) */
      0.0, 0.756870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 332 (Old: 332) */
      0.0, 0.258960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 333 (Old: 333) */
      0.0, -0.856500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 334 (Old: 334) */
      0.0, -0.532010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 335 (Old: 335) */
      0.0, 0.420840, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 336 (Old: 336) */
      0.0, -0.967320, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 337 (Old: 337) */
      0.0, 0.143790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 338 (Old: 338) */
      0.0, 0.924370, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 339 (Old: 339) */
      0.0, -0.196650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 340 (Old: 340) */
      0.0, 0.968810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 341 (Old: 341) */
      0.0, -0.513450, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 342 (Old: 342) */
      0.0, 0.738640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 343 (Old: 343) */
      0.0, 0.250870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 344 (Old: 344) */
      0.0, 0.565010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 345 (Old: 345) */
      0.0, -0.155590, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 346 (Old: 346) */
      0.0, 0.588670, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 347 (Old: 347) */
      0.0, -0.574040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 348 (Old: 348) */
      0.0, -0.496740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 349 (Old: 349) */
      0.0, 0.089330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 350 (Old: 350) */
      0.0, 0.429460, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 351 (Old: 351) */
      0.0, -0.700440, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 352 (Old: 352) */
      0.0, 0.099980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 353 (Old: 353) */
      0.0, -0.670020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 354 (Old: 354) */
      0.0, 0.139510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 355 (Old: 355) */
      0.0, 0.338010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 356 (Old: 356) */
      0.0, -0.901740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 357 (Old: 357) */
      0.0, 0.502250, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 358 (Old: 358) */
      0.0, 0.286410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 359 (Old: 359) */
      0.0, 0.164260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 360 (Old: 360) */
      0.0, 0.005890, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 361 (Old: 361) */
      0.0, -0.770590, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 362 (Old: 362) */
      0.0, -0.126330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 363 (Old: 363) */
      0.0, -0.371000, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 364 (Old: 364) */
      0.0, -0.935520, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 365 (Old: 365) */
      0.0, 0.635260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 366 (Old: 366) */
      0.0, -0.135610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 367 (Old: 367) */
      0.0, 0.940670, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 368 (Old: 368) */
      0.0, 0.592080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 369 (Old: 369) */
      0.0, 0.684470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 370 (Old: 370) */
      0.0, -0.095190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 371 (Old: 371) */
      0.0, 0.592020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 372 (Old: 372) */
      0.0, 0.577430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 373 (Old: 373) */
      0.0, 0.865410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 374 (Old: 374) */
      0.0, 0.613810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 375 (Old: 375) */
      0.0, -0.803040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 376 (Old: 376) */
      0.0, -0.564100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 377 (Old: 377) */
      0.0, 0.394820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 378 (Old: 378) */
      0.0, 0.155980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 379 (Old: 379) */
      0.0, -0.979050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 380 (Old: 380) */
      0.0, -0.594240, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 381 (Old: 381) */
      0.0, 0.225060, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 382 (Old: 382) */
      0.0, 0.636120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 383 (Old: 383) */
      0.0, 0.550540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 384 (Old: 384) */
      0.0, -0.474770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 385 (Old: 385) */
      0.0, -0.067010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 386 (Old: 386) */
      0.0, -0.329470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 387 (Old: 387) */
      0.0, 0.596340, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 388 (Old: 388) */
      0.0, 0.062350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 389 (Old: 389) */
      0.0, -0.132990, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 390 (Old: 390) */
      0.0, 0.805070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 391 (Old: 391) */
      0.0, 0.445950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 392 (Old: 392) */
      0.0, 0.965380, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 393 (Old: 393) */
      0.0, -0.127770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 394 (Old: 394) */
      0.0, -0.773880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 395 (Old: 395) */
      0.0, 0.859620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 396 (Old: 396) */
      0.0, 0.875960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 397 (Old: 397) */
      0.0, 0.493390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 398 (Old: 398) */
      0.0, 0.385870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 399 (Old: 399) */
      0.0, -0.793280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 400 (Old: 400) */
      0.0, 0.731850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 401 (Old: 401) */
      0.0, -1.119030, 100,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 402 (Old: 402) */
      0.0, -0.654370, 100,
       &Sources[100] , 
       &Weights[100] , 
      },
    { /* unit 403 (Old: 403) */
      0.0, -1.038680, 100,
       &Sources[200] , 
       &Weights[200] , 
      },
    { /* unit 404 (Old: 404) */
      0.0, 0.557070, 100,
       &Sources[300] , 
       &Weights[300] , 
      },
    { /* unit 405 (Old: 405) */
      0.0, -0.601540, 100,
       &Sources[400] , 
       &Weights[400] , 
      },
    { /* unit 406 (Old: 406) */
      0.0, 0.740760, 100,
       &Sources[500] , 
       &Weights[500] , 
      },
    { /* unit 407 (Old: 407) */
      0.0, -2.038870, 100,
       &Sources[600] , 
       &Weights[600] , 
      },
    { /* unit 408 (Old: 408) */
      0.0, -1.855780, 100,
       &Sources[700] , 
       &Weights[700] , 
      },
    { /* unit 409 (Old: 409) */
      0.0, -0.868640, 25,
       &Sources[800] , 
       &Weights[800] , 
      },
    { /* unit 410 (Old: 410) */
      0.0, 0.464400, 25,
       &Sources[825] , 
       &Weights[825] , 
      },
    { /* unit 411 (Old: 411) */
      0.0, 0.018930, 25,
       &Sources[850] , 
       &Weights[850] , 
      },
    { /* unit 412 (Old: 412) */
      0.0, -0.287570, 25,
       &Sources[875] , 
       &Weights[875] , 
      },
    { /* unit 413 (Old: 413) */
      0.0, 0.769480, 25,
       &Sources[900] , 
       &Weights[900] , 
      },
    { /* unit 414 (Old: 414) */
      0.0, -0.667270, 25,
       &Sources[925] , 
       &Weights[925] , 
      },
    { /* unit 415 (Old: 415) */
      0.0, -1.264320, 25,
       &Sources[950] , 
       &Weights[950] , 
      },
    { /* unit 416 (Old: 416) */
      0.0, -0.634860, 25,
       &Sources[975] , 
       &Weights[975] , 
      },
    { /* unit 417 (Old: 417) */
      0.0, -1.033560, 25,
       &Sources[1000] , 
       &Weights[1000] , 
      },
    { /* unit 418 (Old: 418) */
      0.0, -1.293840, 25,
       &Sources[1025] , 
       &Weights[1025] , 
      },
    { /* unit 419 (Old: 419) */
      0.0, -1.312170, 25,
       &Sources[1050] , 
       &Weights[1050] , 
      },
    { /* unit 420 (Old: 420) */
      0.0, 1.111920, 25,
       &Sources[1075] , 
       &Weights[1075] , 
      },
    { /* unit 421 (Old: 421) */
      0.0, 0.525400, 25,
       &Sources[1100] , 
       &Weights[1100] , 
      },
    { /* unit 422 (Old: 422) */
      0.0, -0.081680, 25,
       &Sources[1125] , 
       &Weights[1125] , 
      },
    { /* unit 423 (Old: 423) */
      0.0, 0.875590, 25,
       &Sources[1150] , 
       &Weights[1150] , 
      },
    { /* unit 424 (Old: 424) */
      0.0, -0.017650, 25,
       &Sources[1175] , 
       &Weights[1175] , 
      },
    { /* unit 425 (Old: 425) */
      0.0, 0.146020, 25,
       &Sources[1200] , 
       &Weights[1200] , 
      },
    { /* unit 426 (Old: 426) */
      0.0, 0.396780, 25,
       &Sources[1225] , 
       &Weights[1225] , 
      },
    { /* unit 427 (Old: 427) */
      0.0, -0.686240, 25,
       &Sources[1250] , 
       &Weights[1250] , 
      },
    { /* unit 428 (Old: 428) */
      0.0, 0.540080, 25,
       &Sources[1275] , 
       &Weights[1275] , 
      },
    { /* unit 429 (Old: 429) */
      0.0, -0.002820, 25,
       &Sources[1300] , 
       &Weights[1300] , 
      },
    { /* unit 430 (Old: 430) */
      0.0, -0.065200, 25,
       &Sources[1325] , 
       &Weights[1325] , 
      },
    { /* unit 431 (Old: 431) */
      0.0, -0.067580, 25,
       &Sources[1350] , 
       &Weights[1350] , 
      },
    { /* unit 432 (Old: 432) */
      0.0, 0.535620, 25,
       &Sources[1375] , 
       &Weights[1375] , 
      },
    { /* unit 433 (Old: 433) */
      0.0, -0.930360, 25,
       &Sources[1400] , 
       &Weights[1400] , 
      },
    { /* unit 434 (Old: 434) */
      0.0, -0.459940, 25,
       &Sources[1425] , 
       &Weights[1425] , 
      },
    { /* unit 435 (Old: 435) */
      0.0, 0.657390, 25,
       &Sources[1450] , 
       &Weights[1450] , 
      },
    { /* unit 436 (Old: 436) */
      0.0, 0.637410, 25,
       &Sources[1475] , 
       &Weights[1475] , 
      },
    { /* unit 437 (Old: 437) */
      0.0, -0.855930, 25,
       &Sources[1500] , 
       &Weights[1500] , 
      },
    { /* unit 438 (Old: 438) */
      0.0, -1.078360, 25,
       &Sources[1525] , 
       &Weights[1525] , 
      },
    { /* unit 439 (Old: 439) */
      0.0, -0.544680, 25,
       &Sources[1550] , 
       &Weights[1550] , 
      },
    { /* unit 440 (Old: 440) */
      0.0, -0.642600, 25,
       &Sources[1575] , 
       &Weights[1575] , 
      },
    { /* unit 441 (Old: 441) */
      0.0, 0.338650, 100,
       &Sources[1600] , 
       &Weights[1600] , 
      },
    { /* unit 442 (Old: 442) */
      0.0, -0.595340, 100,
       &Sources[1700] , 
       &Weights[1700] , 
      },
    { /* unit 443 (Old: 443) */
      0.0, -0.360360, 100,
       &Sources[1800] , 
       &Weights[1800] , 
      },
    { /* unit 444 (Old: 444) */
      0.0, 0.302490, 100,
       &Sources[1900] , 
       &Weights[1900] , 
      },
    { /* unit 445 (Old: 445) */
      0.0, 0.630710, 100,
       &Sources[2000] , 
       &Weights[2000] , 
      },
    { /* unit 446 (Old: 446) */
      0.0, -2.528220, 100,
       &Sources[2100] , 
       &Weights[2100] , 
      },
    { /* unit 447 (Old: 447) */
      0.0, -0.257580, 100,
       &Sources[2200] , 
       &Weights[2200] , 
      },
    { /* unit 448 (Old: 448) */
      0.0, -0.337240, 100,
       &Sources[2300] , 
       &Weights[2300] , 
      },
    { /* unit 449 (Old: 449) */
      0.0, 1.261650, 100,
       &Sources[2400] , 
       &Weights[2400] , 
      },
    { /* unit 450 (Old: 450) */
      0.0, 1.729340, 100,
       &Sources[2500] , 
       &Weights[2500] , 
      },
    { /* unit 451 (Old: 451) */
      0.0, 1.009470, 100,
       &Sources[2600] , 
       &Weights[2600] , 
      },
    { /* unit 452 (Old: 452) */
      0.0, -2.370940, 100,
       &Sources[2700] , 
       &Weights[2700] , 
      },
    { /* unit 453 (Old: 453) */
      0.0, -0.092970, 52,
       &Sources[2800] , 
       &Weights[2800] , 
      },
    { /* unit 454 (Old: 454) */
      0.0, -1.105930, 52,
       &Sources[2852] , 
       &Weights[2852] , 
      },
    { /* unit 455 (Old: 455) */
      0.0, -2.076260, 2,
       &Sources[2904] , 
       &Weights[2904] , 
      }

  };



int nn2(float *in, float *out, int init)
{
  int member, source;
  float sum;
  enum{OK, Error, Not_Valid};
  pUnit unit;


  /* layer definition section (names & member units) */

  static pUnit Input[400] = {Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400}; /* members */

  static pUnit Hidden1[2] = {Units + 401, Units + 405}; /* members */

  static pUnit Hidden2[2] = {Units + 402, Units + 406}; /* members */

  static pUnit Hidden3[2] = {Units + 403, Units + 407}; /* members */

  static pUnit Hidden4[2] = {Units + 404, Units + 408}; /* members */

  static pUnit Hidden5[2] = {Units + 409, Units + 425}; /* members */

  static pUnit Hidden6[2] = {Units + 410, Units + 426}; /* members */

  static pUnit Hidden7[2] = {Units + 411, Units + 427}; /* members */

  static pUnit Hidden8[2] = {Units + 412, Units + 428}; /* members */

  static pUnit Hidden9[2] = {Units + 413, Units + 429}; /* members */

  static pUnit Hidden10[2] = {Units + 414, Units + 430}; /* members */

  static pUnit Hidden11[2] = {Units + 415, Units + 431}; /* members */

  static pUnit Hidden12[2] = {Units + 416, Units + 432}; /* members */

  static pUnit Hidden13[2] = {Units + 417, Units + 433}; /* members */

  static pUnit Hidden14[2] = {Units + 418, Units + 434}; /* members */

  static pUnit Hidden15[2] = {Units + 419, Units + 435}; /* members */

  static pUnit Hidden16[2] = {Units + 420, Units + 436}; /* members */

  static pUnit Hidden17[2] = {Units + 421, Units + 437}; /* members */

  static pUnit Hidden18[2] = {Units + 422, Units + 438}; /* members */

  static pUnit Hidden19[2] = {Units + 423, Units + 439}; /* members */

  static pUnit Hidden20[2] = {Units + 424, Units + 440}; /* members */

  static pUnit Hidden21[2] = {Units + 441, Units + 447}; /* members */

  static pUnit Hidden22[2] = {Units + 442, Units + 448}; /* members */

  static pUnit Hidden23[2] = {Units + 443, Units + 449}; /* members */

  static pUnit Hidden24[2] = {Units + 444, Units + 450}; /* members */

  static pUnit Hidden25[2] = {Units + 445, Units + 451}; /* members */

  static pUnit Hidden26[2] = {Units + 446, Units + 452}; /* members */

  static pUnit Hidden27[2] = {Units + 453, Units + 454}; /* members */

  static pUnit Output1[1] = {Units + 455}; /* members */

  static int Output[1] = {455};

  for(member = 0; member < 400; member++) {
    Input[member]->act = in[member];
  }

  for (member = 0; member < 2; member++) {
    unit = Hidden1[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden2[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden3[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden4[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden5[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden6[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden7[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden8[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden9[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden10[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden11[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden12[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden13[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden14[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden15[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden16[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden17[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden18[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden19[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden20[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden21[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden22[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden23[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden24[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden25[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden26[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden27[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 1; member++) {
    unit = Output1[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for(member = 0; member < 1; member++) {
    out[member] = Units[Output[member]].act;
  }

  return(OK);
}
