/*
   This file is part of the MoCA video library.
   Name: RegionbasedDistance.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: beier@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

   RegionbasedDistance.h

   Author:    Markus Beier
   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim, Germany
   email: beier@pi4.informatik.uni-mannheim.de

   $Id:
*/

//! Class to evaluate the quality of automatic segmentation
/*!
  This class will evaluate the quality of an automatic segmentation comparing two regions
*/

#include <Image.h>
#include <MocaTypes.h>


class RegionbasedDistance
{
public:

    //! Default constructor
    RegionbasedDistance();

    void process (Image<uint8>& src, Image<uint8>& dest, int16& falsePositive, int16& falseNegative, int16& correctPixel);

private:
    ImageSize size;
};

