/*
   This file is part of the MoCA video library.
   Name: TrackingFeature.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file

 
  
   \author    Stephan Kopf
   
	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de
	
	 (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt
	 
*/


#ifndef TRACKING_FEATURE_H
#define TRACKING_FEATURE_H

// C includes
#include <math.h>

// C++ includes
#include <vector>
#include <iomanip>
#include <sstream>
#include <iostream>
using namespace std;

// MoCA includes
#include <MocaSignal.h>


struct TrackingFeatureData
{
	TrackingFeatureData(int32 frameNo, ieee64 v)
	{
		value=v;
		frame = frameNo;
		error = 0;
		valid = 0;
	}
	ieee64 value;
	int32 frame;
	ieee64 error;
	uint8 valid;
};


/*
	process(): 
		identifies the positions, which can be tracked
*/
class TrackingFeature
{
public:

	TrackingFeature() {};
	~TrackingFeature() {};

	void process (vector<TrackingFeatureData> &data);

private:
	
};

#endif
