/*
   This file is part of the MoCA video library.
   Name: MocaFilter.h
   Copyright (C) 2006 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

#ifndef MOCA_FILTER_H
#define MOCA_FILTER_H

//
// just include this file, if you have to include many different filters (headers) in your file
//
// include all header files in directory "filter"


#include <AndFilter.h>
#include <BinarizeFilter.h>
#include <BinaryContourFilter.h>
#include <CannyEdgeDetectionFilter.h>
#include <CannyFilter.h>
#include <ClipFilter.h>
#include <ClosingFilter.h>
#include <ColorSubsamplingFilter.h>
#include <ContourExtractionFilter.h>
#include <ContrastFilter.h>
#include <ConvertFilter.h>
#include <ConvolutionFilter.h>
#include <CropFilter.h>
#include <DenoiseFilter.h>
#include <DerivationFilter.h>
#include <DifferenceFilter.h>
#include <DilationFilter.h>
#include <DownSampleFilter.h>
#include <EdgeDetectionFilter.h>
#include <EdgeFilter.h>
#include <EdgeOrientationFilter.h>
#include <ErosionFilter.h>
#include <FaceMaskFilter.h>
#include <FillFilter.h>
#include <FilterBase.h>
#include <FlipFilter.h>
#include <GaussDerivationFilter.h>
#include <GaussFilter.h>
#include <GradientFilter.h>
#include <GrayscaleFilter.h>
#include <ImageFilterBase.h>
#include <InverseFilter.h>
#include <LightingCorrection.h>
#include <LucasKanadeFilter.h>
#include <LuminanceFilter.h>
#include <MarkovFilter.h>
#include <MedianFilter.h>
#include <ModifiedBlockMotionFilter.h>
#include <OpeningFilter.h>
#include <OpticalFlowFilter.h>
#include <OrFilter.h>
#include <RotationFilter.h>
#include <ScaleFilter.h>
#include <ShearFilter.h>
#include <StructureTensorFilter.h>
#include <TransposeFilter.h>


void testFilter ()
{
	// define path with test images
	string libMocaPath="../";  // linux path
#ifdef WIN32
	libMocaPath="../../../../libmoca/";  // windows path
#endif

	// global variables
	string fn=libMocaPath + "doc/lena.ppm";
	Image<uint8> img;
	ReadImage (fn, img);


	// get corners of an image
	GrayscaleFilter<uint8> gf;
	gf.process(img);


#if 0
#include <AndFilter.h>
#include <BinarizeFilter.h>
#include <BinaryContourFilter.h>
#include <CannyEdgeDetectionFilter.h>
#include <CannyFilter.h>
#include <ClipFilter.h>
#include <ClosingFilter.h>
#include <ColorSubsamplingFilter.h>
#include <ContourExtractionFilter.h>
#include <ContrastFilter.h>
#include <ConvertFilter.h>
#include <ConvolutionFilter.h>
#include <CropFilter.h>
#include <DenoiseFilter.h>
#include <DerivationFilter.h>
#include <DifferenceFilter.h>
#include <DilationFilter.h>
#include <DownSampleFilter.h>
#include <EdgeDetectionFilter.h>
#include <EdgeFilter.h>
#include <EdgeOrientationFilter.h>
#include <ErosionFilter.h>
#include <FaceMaskFilter.h>
#include <FillFilter.h>
#include <FilterBase.h>
#include <FlipFilter.h>
#include <GaussDerivationFilter.h>
#include <GaussFilter.h>
#include <GradientFilter.h>
#include <ImageFilterBase.h>
#include <InverseFilter.h>
#include <LightingCorrection.h>
#include <LucasKanadeFilter.h>
#include <LuminanceFilter.h>
#include <MarkovFilter.h>
#include <MedianFilter.h>
#include <ModifiedBlockMotionFilter.h>
#include <OpeningFilter.h>
#include <OpticalFlowFilter.h>
#include <OrFilter.h>
#include <RotationFilter.h>
#include <ScaleFilter.h>
#include <ShearFilter.h>
#include <StructureTensorFilter.h>
#include <TransposeFilter.h>
#endif

	return;
}

#endif

