/*
   This file is part of the MoCA video library.
   Name: DrawCross.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

   DrawCross.h  -- draws two lines

   Author:    Stephan Kopf
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: kopf@pi4.informatik.uni-mannheim.de

   $Id: 
*/



#ifndef DRAW_CROSS_H
#define DRAW_CROSS_H

#include <ImagePosition.h>
#include <Image.h>
#include <Color.h>
#include<DrawLine.h>

class DrawCross
{
public:
    DrawCross(const int32 lineLength = 10, const Color &c = Color::WHITE, const int32 width = 1) 
	{
		halfLength  = (lineLength+1) / 2;
		this->c     = c;
		this->width = width;
	}
    ~DrawCross () {};

    //! draw cross
    void process (const ImagePosition &p, const Color &c, Image<uint8>& srcDest);
    void process (const ImagePosition &p, const Color &c, const Image<uint8>& src, Image<uint8>& dest);

    //! draw cross
    void process (const ImagePosition p, Image<uint8>& srcDest)
	{
		process (p, c, srcDest);
		return;
	}
    void process (const ImagePosition &p, const Image<uint8>& src, Image<uint8>& dest)
	{
		process (p, c, src, dest);
		return;
	}

private:
	void  draw (int32 x0,int32 y0, Image<uint8>& srcDest);


	int32 width;
	Color c;
	int32 halfLength;

}; // DrawLine

#endif

