/* -*- C++ -*-

   FileReader.h  -- read a file and store it in memory 

   Author:    Stephan Kopf
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: kopf@pi4.informatik.uni-mannheim.de


    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <FileReader.h>


void 
FileReader::init()
{
#ifdef COMPILER_MSVC
	//  Switch Win32 standard input to binary mode, so that piping the
	//  raw image data works. 
	int result = _setmode( _fileno(stdin), _O_BINARY );
	if (result == -1) {
		cerr << "Cannot set standard input to binary mode.\n";
		exit(1);
	}
#endif

	// get size
	FileHandling::getFileSize(filename, size);

	// allocate memory
	close();
	buf = new char [size];


	FILE *fh = NULL;
	OpenFile::process(&fh, filename, F_READ, false);

	int32 cnt = 0;
	const int32 bufSize = 1024;
	char *bufPtr = buf;
	while (cnt < size) {
		int32 c = fread(bufPtr,1, bufSize, fh);		
		cnt += c;
		bufPtr += c;
	} // while


	return;
} // show

void 
FileReader::convertToText (vector<string> &textLines)
{
	textLines.clear();
	bool error = false;
	int count = 0;

	string s = "";
	for (int32 i=0; i<size; i++) {
		if (buf[i]==10 || buf[i]==13) {
			if (s.length()>0) textLines.push_back(s);
			s = "";
		} else {
			s += buf[i];
		} // else
	} // for

	return;
}

