/*
   This file is part of the MoCA video library.
   Name: IPpmVideoFormatStream.h
   Copyright (C) 2004 Oliver Schuster

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: schuster@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file



   \author    Oliver Schuster

              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim
              68131 Mannheim
              Germany
              email: schuster@informatik.uni-mannheim.de

   (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt

   $Id: IPpmVideoFormatStream.h,v 1.1 2004/02/17 12:00:48 kopf Exp $

*/

#ifndef I_PPM_VIDEO_FORMAT_STREAM_H
#define I_PPM_VIDEO_FORMAT_STREAM_H

// C includes
#include <limits.h>

// MoCA includes
#include <IVideoFileFormatStream.h>
#include <IPpmFormatStream.h>

/*!
  ppm format specific stream
*/
class IPpmVideoFormatStream : public IVideoFileFormatStream
{
public:
    //! the default constructor
    IPpmVideoFormatStream(istream &is) : IVideoFileFormatStream(is) {};

    //! read an image
    void read(Video<uint8> &, int, int) throw (MocaException);

    //! check if "is" is of given format
    bool checkFormat();

protected:

private:

}; // IPpmVideoFormatStream


#endif
