/*
   This file is part of the MoCA video library.
   Name: IVideoFileFormatStream.cpt
   Copyright (C) 2004 Gerald Kuehne

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: schuster@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file



   \author    Gerald Kuehne

              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim
              68131 Mannheim
              Germany
              email: schuster@informatik.uni-mannheim.de

   (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt

   $Id: IVideoFileFormatStream.cpt,v 1.1 2004/02/17 12:00:48 kopf Exp $

*/


#include <IVideoFileFormatStream.h>


/*!

  only calls open(is)

 */
inline
IVideoFileFormatStream::IVideoFileFormatStream(istream &is)
{
    open(is);
} // IVideoFileFormatStream


/*!

  only calls close

 */
inline
IVideoFileFormatStream::~IVideoFileFormatStream()
{
    close();
} // IVideoFileFormatStream


/*!

  \param is input stream

 */
inline
void
IVideoFileFormatStream::open(istream &is)
{
    this->is = &is;
} // IVideoFileFormatStream::open

/*!

  does not much...

 */
inline
void
IVideoFileFormatStream::close()
{
    // set is to NULL
    //
    // the guy who instantiated an IVideoFileFormatStream provided is (an
    // istream) and therefore has to close it himself, we only work on
    // our local pointer, and delete the pointer

    is = NULL;
} // IVideoFileFormatStream::open

