/*
   This file is part of the MoCA video library.
   Name: OWaveAudio.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

 OWaveAudio.h -- Interface for WAV audio files
 
  Author: Stephan Kopf
  Lehrstuhl fuer Praktische Informatik IV
  Universitaet Mannheim, Germany
  email: kopf@pi4.informatik.uni-mannheim.de
  

*/

#ifndef O_WAVE_AUDIO_H
#define O_WAVE_AUDIO_H

// C includes
#include <stdio.h>

// C++ includes
#include <fstream>
#include <iostream>
using namespace std;

// MoCA includes
#include <MocaTypes.h>
#include <WaveHeader.h>
#include <MocaSignal.h>
#include <OpenFile.h>




class OWaveAudio 
{
public:

	// constuctor setting filename of audio wav file and other parameters
	OWaveAudio (string &pathFilename, uint16 channels, uint32 samplesPerSec, uint16 bitsPerSample, uint32 samples);

	// destructor
	~OWaveAudio () {};
	
	// store MoCA signal
	void write (Signal<int16> sig);

	// store all data from filehandler (fh should not contain header information, only raw pcm data)
	// the total number of bytes as specified in the constructor are stored. 
	void write (FILE *fh);



private:
	string pathFilename;
	WaveHeader header;
};


#endif
