/*
    VideoEncoderBase.cpp     abstract class to encode videos
    Copyright (C) 2005 Stephan Kopf

	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <VideoEncoderBase.h>


	// constuctor defines filename 
VideoEncoderBase::VideoEncoderBase ()
{
	pathFilename = "";
	os = NULL;
}

VideoEncoderBase::VideoEncoderBase (const string &pathFile)
{
	pathFilename = pathFile;
	os = NULL;
}


// destructor
VideoEncoderBase::~VideoEncoderBase ()
{
	close();
}



// close file handler
void
VideoEncoderBase::close ()
{
	if (os!=NULL) {
		delete os;
	} // if
	os=NULL;
	return;
}


// open file handler
void
VideoEncoderBase::open ()
{
	close();
    os = new ofstream (pathFilename.c_str(), std::ios::out | std::ios::binary);
    if (os==NULL || !(*os).is_open() || !(*os).good()) {
		cerr << "Error in VideoEncoderBase: cannot open file " << pathFilename << endl << endl;
		exit(1);
    } // if
	
	return;
}



