/*
   This file is part of the MoCA video library.
   Name: ImageSize.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kuehne@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

   file.h  -- short description

   Author:    Gerald Kuehne
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: kuehne@pi4.informatik.uni-mannheim.de

   $Id: ImageSize.h,v 1.1 2004/02/17 12:00:58 kopf Exp $
*/

#ifndef IMAGE_SIZE_H
#define IMAGE_SIZE_H

// MoCA includes
#include <SampleBlockSize.h>

class ImageSize : public SampleBlockSize
{
public:
    ImageSize () : SampleBlockSize ()
    {};
    ImageSize (sizeType x, sizeType y, sizeType bands = 1) : SampleBlockSize (x, y, 1, bands)
    {};
    ImageSize (const ImageSize &is) : SampleBlockSize (is[DIM_X], is[DIM_Y], 1, is[DIM_BAND])
    {};
};

#endif


