/*
   This file is part of the MoCA video library.
   Name: MocaMacros.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

#ifndef MOCA_MACROS_H
#define MOCA_MACROS_H


// C includes

#include <assert.h>


// Moca includes

#include <MocaTypes.h>
#include <GetType.h>




//! define MAX, MIN, SIGN
#ifndef MAX
#define MAX(x,y) (((x) > (y)) ? (x) : (y))
#endif

#ifndef MIN
#define MIN(x,y) (((x) < (y)) ? (x) : (y))
#endif

#ifndef SIGN
#define SIGN(x) (((x)>0) ? 1 : (((x)<0) ? -1 : 0))
#endif




// do not use unsigned variables in this function
#ifndef MOCA_ABS
#define MOCA_ABS
inline ieee64 ABS (ieee64 x) { return (x<0) ? -x : x; }
#endif

#endif


